curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/convert/preview \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"buyCurrency": "USDT",
"sellCurrency": "GT"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"sellCurrency": "GT",
"buyCurrency": "USDT",
"buyAmount": "1",
"sellAmount": "0.04466796",
"rate": "22.38741462",
"quoteId": "PAY-16991c65"
}
}预览报价。
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/convert/preview \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"buyCurrency": "USDT",
"sellCurrency": "GT"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"sellCurrency": "GT",
"buyCurrency": "USDT",
"buyAmount": "1",
"sellAmount": "0.04466796",
"rate": "22.38741462",
"quoteId": "PAY-16991c65"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/convert/preview 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。商户客户端ID,在 GatePay 平台申请获得
"mZ96D37oKk-HrWJc"
请求签名,GatePay 通过此签名来确定此请求是否合法
"8504fe097f7297f8952c76e628ce59dbc93d1df64c95f26c73140ef365d4aa1471826ada0534315461682ec35c131d7e133c51d2ab0822fe7366650a111887ba"
请求生成时的 UTC 时间戳(毫秒)
"1740019013818"
随机字符串,建议长度在 32 个字符以内
"9722139164"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。